Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.management.utils
Interface LDAPServerMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

public interface LDAPServerMBean
extends weblogic.management.commo.StandardInterface, weblogic.descriptor.DescriptorBean

The LDAPServerMBean interface defines methods used to get/set the configuration attributes that are required to communicate with an external LDAP server.

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`int` | `getCacheSize()` Returns the size of the cache in K.
`int` | `getCacheTTL()` Returns the time-to-live (TTL) of the cache in seconds.
`int` | `getConnectionRetryLimit()` Specifies the number of times to attempt to connect to the LDAP server if the initial connection failed.
`int` | `getConnectTimeout()` Returns the maximum number of seconds to wait for the LDAP connection to be established.
`String` | `getCredential()` Returns the credential (generally a password) used to authenticate the LDAP user that is defined in the Principal attribute.
`byte[]` | `getCredentialEncrypted()` Returns the credential (generally a password) used to authenticate the LDAP user that is defined in the Principal attribute.
`String` | `getHost()` Returns the host name or IP address of the LDAP server.
`int` | `getParallelConnectDelay()` Returns the number of seconds to delay when making concurrent attempts to connect to multiple servers.
`int` | `getPort()` Returns the port number on which the LDAP server is listening.
`String` | `getPrincipal()` Returns the Distinguished Name (DN) of the LDAP user that is used by WebLogic Server to connect to the LDAP server.
`int` | `getResultsTimeLimit()` Returns the maximum number of milliseconds to wait for results before timing out.
`boolean` | `isBindAnonymouslyOnReferrals()` Returns whether to anonymously bind when following referrals within the LDAP directory.
`boolean` | `isCacheEnabled()` Returns whether to cache LDAP requests with the LDAP server.
`boolean` | `isFollowReferrals()` Returns whether referrals will automatically be followed within the LDAP Directory.
`boolean` | `isSSLEnabled()` Returns whether SSL will be used to connect to the LDAP server.
`void` | `setBindAnonymouslyOnReferrals(boolean bindAnonymouslyOnReferrals)` Sets whether to anonymously bind when following referrals within the LDAP directory.
`void` | `setCacheEnabled(boolean enabled)` Sets whether to cache LDAP requests with the LDAP server.
`void` | `setCacheSize(int size)` Sets the size of the cache in K.
`void` | `setCacheTTL(int TTL)` Sets the time-to-live (TTL) of the cache in seconds.
`void` | `setConnectionRetryLimit(int limit)`
`void` | `setConnectTimeout(int timeout)` Sets the maximum number of seconds to wait for the LDAP connection to be established.
`void` | `setCredential(String credential)` Sets the credential (generally a password) used to authenticate the LDAP user that is defined in the Principal attribute.
`void` | `setCredentialEncrypted(byte[] bytes)` Sets the credential (generally a password) used to authenticate the LDAP user that is defined in the Principal attribute.
`void` | `setFollowReferrals(boolean followReferrals)` Sets whether referrals will automatically be followed within the LDAP Directory.
`void` | `setHost(String host)` Sets the host name or IP address of the LDAP server.
`void` | `setParallelConnectDelay(int delay)` Sets the number of seconds to delay when making concurrent attempts to connect to multiple servers.
`void` | `setPort(int port)` Sets the port number on which the LDAP server is listening.
`void` | `setPrincipal(String principal)` Sets the Distinguished Name (DN) of the LDAP user that is used by WebLogic Server to connect to the LDAP server.
`void` | `setResultsTimeLimit(int timeLimit)` Sets the maximum number of milliseconds to wait for results before timing out.
`void` | `setSSLEnabled(boolean enabled)` Sets whether SSL will be used to connect to the LDAP server.

Methods inherited from interface weblogic.management.commo.StandardInterface
`getName, setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### getCacheSize

    public int getCacheSize()

  Returns the size of the cache in K.

  Default value:
    32
  Minimum value:
    0
  A dynamic MBean attribute.
    false

### getCacheTTL

    public int getCacheTTL()

  Returns the time-to-live (TTL) of the cache in seconds.

  Default value:
    60
  Minimum value:
    0
  A dynamic MBean attribute.
    false

### getConnectionRetryLimit

    public int getConnectionRetryLimit()

  Specifies the number of times to attempt to connect to the LDAP server if the initial connection failed.

  Default value:
    1
  A dynamic MBean attribute.
    false

### getConnectTimeout

    public int getConnectTimeout()

  Returns the maximum number of seconds to wait for the LDAP connection to be established. If set to 0, there is no maximum time limit.

  Default value:
    0
  A dynamic MBean attribute.
    false

### getCredential

    public String getCredential()

  Returns the credential (generally a password) used to authenticate the LDAP user that is defined in the Principal attribute.

  See Also:
    `getCredentialEncrypted()`

### getCredentialEncrypted

    public byte[] getCredentialEncrypted()

  Returns the credential (generally a password) used to authenticate the LDAP user that is defined in the Principal attribute.

  Returns:
    The credential value as an encrypted byte array.
  See Also:
    weblogic.management.EncryptionHelper
  Default value:
    null
  A dynamic MBean attribute.
    false

### getHost

    public String getHost()

  Returns the host name or IP address of the LDAP server.

  Default value:
    "localhost"
  A dynamic MBean attribute.
    false

### getParallelConnectDelay

    public int getParallelConnectDelay()

  Returns the number of seconds to delay when making concurrent attempts to connect to multiple servers.

  If set to 0, connection attempts are serialized. An attempt is made to connect to the first server in the list. The next entry in the list is tried only if the attempt to connect to the current host fails. This might cause your application to block for unacceptably long time if a host is down. If set to greater than 0, another connection setup thread is started after this number of delay seconds has passed.

  Default value:
    0
  A dynamic MBean attribute.
    false

### getPort

    public int getPort()

  Returns the port number on which the LDAP server is listening.

  Default value:
    389
  Minimum value:
    1
  Maximum value:
    65534
  A dynamic MBean attribute.
    false

### getPrincipal

    public String getPrincipal()

  Returns the Distinguished Name (DN) of the LDAP user that is used by WebLogic Server to connect to the LDAP server.

  A dynamic MBean attribute.
    false

### getResultsTimeLimit

    public int getResultsTimeLimit()

  Returns the maximum number of milliseconds to wait for results before timing out. If set to 0, there is no maximum time limit.

  Default value:
    0
  A dynamic MBean attribute.
    false

### isBindAnonymouslyOnReferrals

    public boolean isBindAnonymouslyOnReferrals()

  Returns whether to anonymously bind when following referrals within the LDAP directory. If set to false, then the current Principal and Credential will be used.

  Default value:
    false
  A dynamic MBean attribute.
    false

### isCacheEnabled

    public boolean isCacheEnabled()

  Returns whether to cache LDAP requests with the LDAP server.

  Default value:
    true
  A dynamic MBean attribute.
    false

### isFollowReferrals

    public boolean isFollowReferrals()

  Returns whether referrals will automatically be followed within the LDAP Directory. If set to false, then a Referral exception will be thrown when referrals are encountered during LDAP requests.

  Default value:
    true
  A dynamic MBean attribute.
    false

### isSSLEnabled

    public boolean isSSLEnabled()

  Returns whether SSL will be used to connect to the LDAP server.

  Default value:
    false
  A dynamic MBean attribute.
    false

### setBindAnonymouslyOnReferrals

    public void setBindAnonymouslyOnReferrals(boolean bindAnonymouslyOnReferrals)
                                       throws InvalidAttributeValueException

  Sets whether to anonymously bind when following referrals within the LDAP directory.

  Parameters:
    `bindAnonymouslyOnReferrals` - - the new bind anonymously on referrals value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isBindAnonymouslyOnReferrals()`

### setCacheEnabled

    public void setCacheEnabled(boolean enabled)
                         throws InvalidAttributeValueException

  Sets whether to cache LDAP requests with the LDAP server.

  Parameters:
    `enabled` - - the new cache enabled value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isCacheEnabled()`

### setCacheSize

    public void setCacheSize(int size)
                      throws InvalidAttributeValueException

  Sets the size of the cache in K.

  Parameters:
    `size` - - the new cache size
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getCacheSize()`

### setCacheTTL

    public void setCacheTTL(int TTL)
                     throws InvalidAttributeValueException

  Sets the time-to-live (TTL) of the cache in seconds.

  Parameters:
    `TTL` - - the new cache time to live
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getCacheTTL()`

### setConnectionRetryLimit

    public void setConnectionRetryLimit(int limit)
                                 throws InvalidAttributeValueException

  Parameters:
    `limit` - - number of times connection should tried.
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getConnectionRetryLimit()`

### setConnectTimeout

    public void setConnectTimeout(int timeout)
                           throws InvalidAttributeValueException

  Sets the maximum number of seconds to wait for the LDAP connection to be established.

  Parameters:
    `timeout` - - the new connect timeout
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getConnectTimeout()`

### setCredential

    public void setCredential(String credential)
                       throws InvalidAttributeValueException

  Sets the credential (generally a password) used to authenticate the LDAP user that is defined in the Principal attribute.

  Parameters:
    `credential` - - the new credential
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getCredential()`, `setCredentialEncrypted(byte[])`

### setCredentialEncrypted

    public void setCredentialEncrypted(byte[] bytes)
                                throws InvalidAttributeValueException

  Sets the credential (generally a password) used to authenticate the LDAP user that is defined in the Principal attribute.

  Parameters:
    `bytes` - The new credential value as a byte array.
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getCredentialEncrypted()`

### setFollowReferrals

    public void setFollowReferrals(boolean followReferrals)
                            throws InvalidAttributeValueException

  Sets whether referrals will automatically be followed within the LDAP Directory.

  Parameters:
    `followReferrals` - - the new follow referrals value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isFollowReferrals()`

### setHost

    public void setHost(String host)
                 throws InvalidAttributeValueException

  Sets the host name or IP address of the LDAP server.

  Parameters:
    `host` - - the new host name
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getHost()`

### setParallelConnectDelay

    public void setParallelConnectDelay(int delay)
                                 throws InvalidAttributeValueException

  Sets the number of seconds to delay when making concurrent attempts to connect to multiple servers.

  Parameters:
    `delay` - - the new parallel connect delay
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getParallelConnectDelay()`

### setPort

    public void setPort(int port)
                 throws InvalidAttributeValueException

  Sets the port number on which the LDAP server is listening.

  Parameters:
    `port` - - the new port number
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getPort()`

### setPrincipal

    public void setPrincipal(String principal)
                      throws InvalidAttributeValueException

  Sets the Distinguished Name (DN) of the LDAP user that is used by WebLogic Server to connect to the LDAP server.

  Parameters:
    `principal` - - the new principal name
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getPrincipal()`

### setResultsTimeLimit

    public void setResultsTimeLimit(int timeLimit)
                             throws InvalidAttributeValueException

  Sets the maximum number of milliseconds to wait for results before timing out.

  Parameters:
    `timeLimit` - - the new results time limit
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getResultsTimeLimit()`

### setSSLEnabled

    public void setSSLEnabled(boolean enabled)
                       throws InvalidAttributeValueException

  Sets whether SSL will be used to connect to the LDAP server.

  Parameters:
    `enabled` - - the new SSL enabled value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isSSLEnabled()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD